@import 'variables';

.footer-wrap {
    background-color: $footerGreen;
    display: flex;
    flex-direction: column;
    width: 100%;
    @media screen and (min-width: $tablet) {
        height: fit-content;
    }
    footer {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        min-height: 437px;
        padding: 35px 0;
        width: 100%;
        @media screen and (min-width: $tablet) {
            height: 48.3px;
            min-height: unset;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
            align-self: center;
        }
        @media screen and (min-width: $sDesktop) {
            height: 78.5px;
        }
        @media screen and (min-width: $sDesktop) {
            height: 120px;
        }
        .footer-left {
            margin-bottom: 35px;
            @media screen and (min-width: $tablet) {
                height: 22.5px;
                margin-bottom: 0;
                img {
                    height: 22.5px;
                    width: 55px;
                }
            }
            @media screen and (min-width: $sDesktop) {
                height: 36px;
                img {
                    height: 36px;
                    width: 88px;
                }
            }
            @media screen and (min-width: $Desktop) {
                height: 55.64px;
                img {
                    height: 55.64px;
                    width: 136px;
                }
            }
        }
        ul {
            display: flex;
            flex-direction: column;

            @media screen and (min-width: $tablet) {
                flex-direction: row;
                align-items: center;
            }
            li {
                display: flex;
                align-self: center;
                margin: 7px 0;
                border-bottom: 1px solid transparent;
                transition: border 0.2s ease;
                @media screen and (min-width: $tablet) {
                    margin: 0 5px;
                }
                @media screen and (min-width: $sDesktop) {
                    margin: 0 15px;
                }
                @media screen and (min-width: $Desktop) {
                    margin: 0 20px;
                }
                &:hover {
                    border-bottom: 1px solid $btnColor;
                }
                &:nth-last-child(-n + 3) {
                    border-bottom: none;
                }
                button {
                    background: transparent;
                    border: none;
                    color: white;
                    font-size: 4.2vw;
                    cursor: pointer;

                    @media screen and (min-width: $tablet) {
                        font-size: 12px;
                    }
                    @media screen and (min-width: $sDesktop) {
                        font-size: 12px;
                    }
                    @media screen and (min-width: $Desktop) {
                        font-size: 16px;
                    }
                }
                .btn {
                    width: 60vw;
                    height: 11.4vw;
                    border-radius: 4px;
                    font-size: 4vw;
                    margin: 25px 0 35px 0;

                    @media screen and (min-width: $tablet) {
                        flex-direction: row;
                        width: 100px;
                        font-size: 10px;
                        height: 18px;
                        margin: 0 15px 0 11px;
                    }
                    @media screen and (min-width: $sDesktop) {
                        margin: 0 24px 0 12.5px;
                        width: 160px;
                        height: 30px;
                        font-size: 13px;
                    }
                    @media screen and (min-width: $Desktop) {
                        margin: 0 36px 0 50px;
                        width: 244px;
                        height: 44px;
                        font-size: 16px;
                    }
                }
            }
            .media {
                display: flex;
                align-items: center;
                margin: 0 5px;
                &:nth-last-child(-n + 1) {
                    display: none;
                    @media screen and (min-width: $tablet) {
                        display: flex;
                    }
                }
                @media screen and (min-width: $tablet) {
                    &:nth-last-child(-2n + 2) {
                        display: none;
                    }
                }
                svg {
                    margin-right: 7px;
                    cursor: pointer;
                    min-width: 34px;
                    @media screen and (min-width: $tablet) {
                        margin-right: 1px;
                        min-width: unset;
                    }
                    @media screen and (min-width: $sDesktop) {
                        margin-right: 9px;
                        width: 20px;
                        height: 20px;
                    }
                    @media screen and (min-width: $Desktop) {
                        width: 30px;
                        height: 30px;
                        margin-right: 15px;
                    }
                }
                a {
                    font-size: 11px;
                    color: $fontLightColor;
                    width: unset;
                    height: unset;
                    margin: 0 4px;
                    @media screen and (min-width: $sDesktop) {
                        font-size: 13px;
                    }
                    @media screen and (min-width: $Desktop) {
                        font-size: 16px;
                    }
                }
            }
        }
    }
}
